Skip to main content
GET
/
v1
/
users
/
profile
Get current user profile
curl --request GET \
  --url https://api.lithoblocks.com/v1/users/profile \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "organization_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lithoblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard

Response

User profile

id
string
required
first_name
string | null
required
last_name
string | null
required
email
string | null
required
organization_id
string | null
required
created_at
string
required
updated_at
string
required